#include<iostream>
using namespace std;

int deljenje(int a,int b)
{
    int x;
    if(a%b==0)
        return x=a/b;
    else
        return x=a/b+1;
}

int main()
{
    int p,q,r,rez=0;
    long long int l,d;
    cin>>p>>q>>r>>l>>d;
    for(int i=l;i<=d;i++)
    {
        if(deljenje(i,p)+deljenje(i,q)+deljenje(i,r)<=i)
            rez++;
    }
    cout<<rez<<endl;
}